﻿--[[
	Copyright (c) 2010, dr_AllCOM3
    All rights reserved.

    You're allowed to use this addon, free of monetary charge,
    but you are not allowed to modify, alter, or redistribute
    this addon without express, written permission of the author.
]]

local addon = LibStub( "AceAddon-3.0" ):NewAddon( "DocsFastLoot" )

local function p( text ) -- Print
	ChatFrame3:AddMessage( tostring( text ) )
end

local temp

local function inventoryFull()
    local totalSlots, freeSlots = 0, 0
	local itemLink, subtype, isBag
	for i=0,NUM_BAG_SLOTS do
		isBag = true
		if i>0 then
			itemLink = GetInventoryItemLink( "player", ContainerIDToInventoryID( i ) )
			if itemLink then
				subtype = select( 7, GetItemInfo( itemLink ) )
				if subtype=="Soul Bag" or subtype=="Ammo Pouch" or subtype=="Quiver" then
					isBag = false
				end
			end
		end
		if isBag then
			totalSlots = totalSlots + GetContainerNumSlots( i )
			freeSlots = freeSlots + GetContainerNumFreeSlots( i )
		end
	end
    
    if freeSlots==0 then
        return true
    else
        return false
    end
end

local function loot( self )
    local full = inventoryFull()
    
    if full then
        PlaySoundFile("Interface\\AddOns\\DocsFastLoot\\smb3_bump.mp3")
    else
        PlaySoundFile("Interface\\AddOns\\DocsFastLoot\\smb3_coin.mp3")
    end
    
    self:Hide()
end

-- OnInitialize
function addon:OnInitialize()
    
end
-- OnEnable
function addon:OnEnable()
    LootFrame:HookScript( "OnShow", function( self ) loot( self ) end )
end
function addon:OnDisable()
	
end
